# tbb::flow::interface6::receiver< T > Class Template Reference

Pure virtual template class that defines a receiver of messages of type T. More...

`#include <flow_graph.h>`

Inheritance diagram for tbb::flow::interface6::receiver< T >:

List of all members.

## Public Types
typedef T | input_type
| The input type of this receiver.
typedef sender< T > | predecessor_type
| The predecessor type for this node.
## Public Member Functions
virtual | ~receiver ()
| Destructor.
bool | try_put (const T &t)
| Put an item to the receiver.
virtual bool | register_predecessor (predecessor_type &)
| Add a predecessor to the node.
virtual bool | remove_predecessor (predecessor_type &)
| Remove a predecessor from the node.
## Protected Member Functions
virtual task * | try_put_task (const T &t)=0
virtual void | reset_receiver ()=0
virtual bool | is_continue_receiver ()
## Friends
class | run_and_put_task
| put item to successor; return task to run the successor if possible.
class | internal::broadcast_cache
class | internal::round_robin_cache
class | limiter_node
| put receiver back in initial state
class | internal::successor_cache

## Detailed Description

### template<typename T>
class tbb::flow::interface6::receiver< T >

Pure virtual template class that defines a receiver of messages of type T.

The documentation for this class was generated from the following file:

- flow_graph.h

Copyright © 2005-2013 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.